List maps
GET /v1/projects/{id}/maps
GET
/v1/projects/{id}/maps
Returns all maps for the specified project, ordered by creation date (newest first).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Project UUID.
Responses
Section titled “ Responses ”List of maps.
object
success
boolean
data
Array<object>
object
id
Internal UUID primary key.
string format: uuid
name
Display name of the map.
string
mapId
User-specified map identifier.
string
imageUrl
URL path to the map image.
string
worldMinX
number
worldMinY
number
worldMaxX
number
worldMaxY
number
worldMinZ
number | null
worldMaxZ
number | null
imageWidth
integer
imageHeight
integer
createdAt
string format: date-time
updatedAt
string format: date-time
Headers
Section titled “Headers ” X-RateLimit-Limit
integer
Maximum number of requests allowed per hour.
X-RateLimit-Remaining
integer
Number of requests remaining in the current window.
X-RateLimit-Reset
integer
Unix timestamp when the rate limit window resets.
Missing or invalid API key.
object
success
boolean
error
Human-readable error message.
string
Rate limit exceeded.
object
success
boolean
error
Human-readable error message.
string
Headers
Section titled “Headers ” X-RateLimit-Limit
integer
Maximum number of requests allowed per hour.
X-RateLimit-Remaining
integer
Number of requests remaining in the current window.
X-RateLimit-Reset
integer
Unix timestamp when the rate limit window resets.